Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122242

Summary: Review Request: nodejs-stringmap - Fast and robust stringmap
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 18:51:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122219    

Description Ralph Bean 2014-07-22 19:06:29 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-stringmap.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-stringmap-0.2.2-1.fc20.src.rpm

Description:
A fast and robust stringmap implementation that can hold any string keys,
including __proto__, with minimal overhead compared to a plain object. Works in
node and browsers.

The API is created to be as close to the ES6 Map API as possible. Prefer
sm.remove("key") for deleting a key. ES6 Map uses map.delete("key") instead and
for that reason sm['delete']("key") is available as a stringmap alias as well.
Never do sm.delete("key") unless you're certain to be in the land of ES5 or
later.

Comment 1 Parag AN(पराग) 2014-07-23 13:56:23 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-stringmap.noarch: W: spelling-error %description -l en_US proto -> proton, pronto, promo
nodejs-stringmap.noarch: W: spelling-error %description -l en_US sm -> chm, ms, Sm
nodejs-stringmap.noarch: W: only-non-binary-in-usr-lib
nodejs-stringmap.src: W: spelling-error %description -l en_US proto -> proton, pronto, promo
nodejs-stringmap.src: W: spelling-error %description -l en_US sm -> chm, ms, Sm
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :806e7f94419a6e3b3729d2bf4797a0b37042b55a33b0785620b4a3bc4d517453
upstream tarball :806e7f94419a6e3b3729d2bf4797a0b37042b55a33b0785620b4a3bc4d517453

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

Suggestions:
1) No testing related lines. Remove unnecessary empty lines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:38:00 UTC
New Package SCM Request
=======================
Package Name: nodejs-stringmap
Short Description: Fast and robust stringmap
Upstream URL: https://npmjs.org/package/stringmap
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:47:01 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 18:47:36 UTC
nodejs-stringmap-0.2.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-stringmap-0.2.2-1.fc20

Comment 5 Fedora Update System 2014-07-23 18:47:45 UTC
nodejs-stringmap-0.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-stringmap-0.2.2-1.fc19

Comment 6 Ralph Bean 2014-07-23 18:51:50 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:36:27 UTC
nodejs-stringmap-0.2.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:55:19 UTC
nodejs-stringmap-0.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.